## aiopurpleair 2023.12.0

=== .github/workflows/requirements.txt ===
poetry==1.6.1

=== debian/changelog ===
aiopurpleair (2023.12.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 11 Aug 2024 12:52:29 +0200

aiopurpleair (2023.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077723)

 -- Edward Betts <edward@4angle.com>  Thu, 01 Aug 2024 16:20:03 +0900

=== debian/control ===
Source: aiopurpleair
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-aresponses <!nocheck>,
               python3-poetry-core,
               python3-pydantic (>= 2.4.2) <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-requests <!nocheck>,
               python3-yarl <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bachya/aiopurpleair
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/aiopurpleair
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/aiopurpleair.git

Package: python3-aiopurpleair
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for interacting with the PurpleAir API
 This library allows users to interact with the PurpleAir API, providing access
 to hyper-local air quality data collected from PurpleAir sensors. The library
 can fetch data from specific sensors, retrieve lists of nearby sensors, and
 generate API keys for accessing different levels of data. It supports querying
 for sensor data based on various parameters such as fields, location,
 modification date, and more.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiopurpleair
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aiopurpleair.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aiopurpleair-$1\.tar\.gz/ \
  https://github.com/bachya/aiopurpleair/tags .*/v?(\d\S+)\.tar\.gz

## aiopurpleair 2025.08.1

=== .github/workflows/requirements.txt ===
poetry==1.8.4

=== debian/changelog ===
aiopurpleair (2025.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 30 Aug 2025 11:45:32 +0100

=== debian/control ===
Source: aiopurpleair
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-pydantic (>= 2.4.2) <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-yarl <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/bachya/aiopurpleair
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/aiopurpleair
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/aiopurpleair.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-aiopurpleair
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for interacting with the PurpleAir API
 This library allows users to interact with the PurpleAir API, providing access
 to hyper-local air quality data collected from PurpleAir sensors. The library
 can fetch data from specific sensors, retrieve lists of nearby sensors, and
 generate API keys for accessing different levels of data. It supports querying
 for sensor data based on various parameters such as fields, location,
 modification date, and more.

=== debian/watch ===
version=4
https://github.com/bachya/aiopurpleair/tags .*/v?(\d\S+)\.tar\.gz
